View Issue Details

IDProjectCategoryView StatusLast Update
0016303CentOS-8-OTHERpublic2019-08-01 21:50
Reporterdclark 
PrioritynormalSeveritymajorReproducibilityalways
Status newResolutionopen 
Summary0016303: misssing grpc and grpc-devel packages
Description*Build:* 8.0

*Summary:* grpc and grpc-devel packages missing from package stream for protoc

*Impact:* can not build most packages using protobuf defined communications

*Workarounds:* remove cruft from base system, install source, build and install protoc and grpc
Essentially what is in place is not of use so remove and replace.
recommend protoc >= 3.9
recommend grpc >= v1.22

*Detailed Description:* When grpc is not present, protoc can not build many components that have correctly defined proto definitions. The choice of protoc compiler is too out of date to be of practical use. We have an opportunity at the centos 8 release to bring the packages close to the head of the development process allowing years of stability. This is an opportune time to upgrade. In addtion protoc now supports ruby which is missing from the version installed.

See related issue : 0016301

Steps To Reproduceworkaround:

sudo dnf erase protobuf-compiler protobuf protobuf-c protobuf-devel

SRC_DIR := rpmbuild/SOURCES
protobufversion := 3.9.1
gmockversion := 1.7.0
gtestversion := 1.7.0
pkgname := protobuf


    wget -O ${SRC_DIR}/${pkgname}-v${protobufversion}.tar.gz https://github.com/google/protobuf/archive/v${protobufversion}/${pkgname}-v${protobufversion}.tar.gz
       wget -O ${SRC_DIR}/googlemock-${gmockversion}.tar.gz https://github.com/google/googlemock/archive/release-${gmockversion}.tar.gz
        wget -O ${SRC_DIR}/googletest-${gtestversion}.tar.gz https://github.com/google/googletest/archive/release-${gtestversion}.tar.gz

version=3.9.0
  wget https://github.com/grpc/grpc/archive/v${version}.tar.gz

build and install.

TagsNo tags attached.

Activities

dclark

dclark

2019-08-01 21:50

reporter   ~0034904

recommend grpc >= v1.23
The version 1.22 failed some builds with the following which is fixed on the master branch:

make --trace CFLAGS="-Wno-implicit-fallthrough" CXXFLAGS="-Wno-class-memaccess"


cc -Ithird_party/googletest/googletest/include -g -Wall -Wextra -Werror -Wno-long-long -Wno-unused-parameter -DOSATOMIC_USE_INLINED=1 -O2 -fPIC -I. -Iinclude -I/home/abc/3rdparty/grpc-1.22/grpc-1.3.x/gens -DNDEBUG -DINSTALL_PREFIX=\"/usr/local\" -DTSI_OPENSSL_ALPN_SUPPORT=0 -Wno-implicit-fallthrough -MMD -MF /home/abc/3rdparty/grpc-1.22/grpc-1.3.x/objs/opt/src/core/lib/security/credentials/jwt/jwt_verifier.dep -c -o /home/abc/3rdparty/grpc-1.22/grpc-1.3.x/objs/opt/src/core/lib/security/credentials/jwt/jwt_verifier.o src/core/lib/security/credentials/jwt/jwt_verifier.c
src/core/lib/security/credentials/jwt/jwt_verifier.c: In function ‘pkey_from_jwk’:
src/core/lib/security/credentials/jwt/jwt_verifier.c:498:10: error: dereferencing pointer to incomplete type ‘RSA’ {aka ‘struct rsa_st’}
       rsa->n =
          ^~

Issue History

Date Modified Username Field Change
2019-07-30 14:48 dclark New Issue
2019-08-01 21:50 dclark Note Added: 0034904